MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030927Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2019-08-29 17:242019-09-02 18:01
Reporteremv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0030927: Modeling Algorithms - UnifySameDom looses the Closed flag for wires [REGRESSION]
DescriptionThe problem occurs when the faces are unified but their edges are not.
Steps To Reproducebox b1 10 10 10
box b2 5 0 -5 10 10 20
bfuse s b1 b2
unifysamedom result s

foreach w [explode result w] {
  if {![regexp "Closed" [whatis $w]]} {
    puts "Error: Wire $w is not closed"
  }
}

Error: Wire result_2 is not closed
Error: Wire result_4 is not closed
TagsNo tags attached.
Test case numberbugs modalg_7 bug30927
Attached Files

- Relationships

-  Notes
(0086536)
emv (developer)
2019-08-29 17:27

Dear Julia, please take care of the issue.
(0086539)
git (administrator)
2019-08-29 19:05

Branch CR30927 has been created by jgv.

SHA-1: cdcb35b1db6e679d9d7d248635c538f7d3731f36


Detailed log of new commits:

Author: jgv
Date: Thu Aug 29 19:02:25 2019 +0300

    0030927: Modeling Algorithms - UnifySameDom looses the Closed flag for wires [REGRESSION]
    
    Add setting the Closed flag for a new wire
(0086548)
jgv (developer)
2019-08-30 12:45

Please review the branch CR30927.
(0086550)
emv (developer)
2019-08-30 13:19

Dear Julia, please add header into the test case and remove the 'Regression' word from the commit message. No re-testing required.
(0086551)
git (administrator)
2019-08-30 13:29

Branch CR30927 has been updated forcibly by jgv.

SHA-1: e63f4a38e7d9f5dd7e4c24bf0830a162dfe18461
(0086552)
jgv (developer)
2019-08-30 13:30

Please review
(0086553)
emv (developer)
2019-08-30 13:32

Reviewed.
(0086555)
apn (administrator)
2019-08-30 18:02

Combination -
OCCT branch : CR30927
master SHA - cdcb35b1db6e679d9d7d248635c538f7d3731f36
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - 32e882a7b3145a66baa739f965d275c822c0bd8a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16123.739999999983 / 16107.320000000014 [+0.10%]
Products
Total CPU difference: 10477.830000000049 / 10489.71000000005 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 18170.875 / 18158.171875 [+0.07%]
Products
Total CPU difference: 12074.859375 / 12068.71875 [+0.05%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0086656)
git (administrator)
2019-09-02 18:01

Branch CR30927 has been deleted by apn.

SHA-1: e63f4a38e7d9f5dd7e4c24bf0830a162dfe18461

- Related Changesets
occt: master a22151d8
Timestamp: 2019-08-29 16:02:25
Author: jgv
Committer: apn
Details ] Diff ]
0030927: Modeling Algorithms - UnifySameDom looses the Closed flag for wires

Add setting the Closed flag for a new wire
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30927 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-08-29 17:24 emv New Issue
2019-08-29 17:24 emv Assigned To => msv
2019-08-29 17:24 emv Relationship added child of 0030534
2019-08-29 17:27 emv Note Added: 0086536
2019-08-29 17:27 emv Assigned To msv => jgv
2019-08-29 17:27 emv Status new => assigned
2019-08-29 19:05 git Note Added: 0086539
2019-08-30 12:45 jgv Note Added: 0086548
2019-08-30 12:45 jgv Assigned To jgv => emv
2019-08-30 12:45 jgv Status assigned => resolved
2019-08-30 13:19 emv Note Added: 0086550
2019-08-30 13:19 emv Assigned To emv => jgv
2019-08-30 13:19 emv Status resolved => assigned
2019-08-30 13:29 git Note Added: 0086551
2019-08-30 13:30 jgv Note Added: 0086552
2019-08-30 13:30 jgv Assigned To jgv => emv
2019-08-30 13:30 jgv Status assigned => resolved
2019-08-30 13:32 emv Note Added: 0086553
2019-08-30 13:32 emv Assigned To emv => bugmaster
2019-08-30 13:32 emv Status resolved => reviewed
2019-08-30 18:01 apn Test case number => bugs modalg_7 bug30927
2019-08-30 18:02 apn Note Added: 0086555
2019-08-30 18:02 apn Status reviewed => tested
2019-08-31 17:53 apn Changeset attached => occt master a22151d8
2019-08-31 17:53 apn Assigned To bugmaster => apn
2019-08-31 17:53 apn Status tested => verified
2019-08-31 17:53 apn Resolution open => fixed
2019-09-02 18:01 git Note Added: 0086656


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker